Bug 83682 - kudzu reports a floppy even though there isn't one
kudzu reports a floppy even though there isn't one
Product: Red Hat Linux
Classification: Retired
Component: hwbrowser (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2003-02-06 20:13 EST by Brent Fox
Modified: 2008-01-17 12:49 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-05-25 10:29:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Brent Fox 2003-02-06 20:13:28 EST
Find a machine with no floppy drive like a laptop or a legacy free system. 
Doing a kudzu probe returns a floppy device.  Why?  Is this a kernel thing?  May
be related to bug #71036.
Comment 1 Bill Nottingham 2003-02-07 01:18:22 EST
Usually, it's because there is a floppy controller and therefore a
bios-configured drive even if it's not present.

Are you getting the error messages from 71036? Or is it finding a 'detached'
floppy drive?
Comment 2 Brent Fox 2003-02-07 01:23:24 EST
No, I'm not seeing any error messages but I was wondering if having a floppy
device was hard wired into the kernel.

The main problem I have is that hwbrowser shows that the system has a floppy
when there isn't one.  Is there some way to work around that?
Comment 3 Bill Nottingham 2003-02-07 01:25:16 EST
You can grey out or not show devices that have the 'detached' property set to 1.
Comment 4 Brent Fox 2003-02-07 01:33:30 EST
Oh, ok.  I'll try that.  We can close this bug then.
Comment 5 Brent Fox 2003-02-07 01:36:22 EST
Actually, I'll assign it to hwbrowser so I remember to do this tomorrow.
Comment 6 Brent Fox 2003-02-07 19:15:13 EST
Ok, should be fixed in hwbrowser-0.8-8.  When the 'detached' property on a
floppy is set to 1, hwbrowser should now hide all the lower widgets and print
"No floppy drives detected" in the upper device list.  QA, please verify.
Comment 7 Brent Fox 2003-05-25 10:29:43 EDT
There is a stack of 64 bugs that have been in Modified state for a long period
of time.  I am closing these as Rawhide now.  If you find that the issue is not
fixed, please reopen this report.

Note You need to log in before you can comment on or make changes to this bug.